Subject: bug#27445: closed (Re: bug#27445: 26.0.50; Insufficient documentation for pinentry.el)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Dec 2017 09:50:03 +0000

Your bug report

#27445: 26.0.50; Insufficient documentation for pinentry.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27445: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27445
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27445: 26.0.50; Insufficient documentation for pinentry.el
From: Eli Zaretskii <[email-masked]>
To: Rasmus <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Dec 2017 11:49:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Rasmus <[email-masked]>
> Date: Tue, 12 Dec 2017 10:19:02 +0100
> 
> I also noticed that pinentry was removed, as I used to call pinentry-start
> in my init.el.
> 
> Would it be worth mentioning the removal of pinentry in the NEWS file?  If
> so, should the entry recommend simply set the epa-pinentry-mode instead,
> probably to loopback?

Thanks, done.

Subject: 26.0.50; Insufficient documentation for pinentry.el
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jun 2017 06:29:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hallo,

I followed the instructions in pinentry.el, but failed.  There is no
more documentation available.  I'm running a very normal Debian.

Since entering passwords is a quite common thing, and this is about the
user's security, shouldn't this deserve some more extensive information
or be described in the manual?

FWIW, after searching the Internet, I found several pieces of
information that seem to be missing in the documentation in the file
header of pinentry.el: I seemingly have to build pinentry-emacs if it's
not available, for example.

After having tried over an hour, I finally was in a state where I got no
more password prompts at all.

I'm thankful that I had the luck to be able to restore the previous
state so that I got my Email working again and could open this report.
This should not happen to others.

Thanks in advance,

Michael.

In GNU Emacs 26.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-06-19 built on drachen
Repository revision: 1b75af59b305867c89271905be72a05d06a4eff4
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Debian GNU/Linux 9.0 (stretch)